package com.sooka.system.gas.sc_meter_reading_infor.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.common.utils.DateUtils;
import com.sooka.system.domain.BaseBusinessEntity;
import lombok.Getter;
import lombok.Setter;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * 思凯收费系统-抄表信息对象
 *
 * @author lei
 * @date 2022-08-22
 */
@Getter
@Setter
public class TGuijiSCMeterReadingInfor extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    @Excel(name = "序号")
    private String id;

    /** 插入时间 */
    @Excel(name = "插入时间")
    private String cdTime;

    /** 批次号 */
    @Excel(name = "批次号")
    private String cdBatch;

    /** 标志位 */
    @Excel(name = "标志位")
    private String cdOperation;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String cdSource;

    /** 本期表底数 */
    @Excel(name = "本期表底数" )
    private String readNow;

    /** 上期表底数 */
    @Excel(name = "上期表底数" )
    private String readLast;

    /** 使用量 */
    @Excel(name = "使用量" )
    private String useAmount;

    /** 使用金额 */
    @Excel(name = "使用金额" )
    private String useMoney;

    /** 表具条码号 */
    @Excel(name = "表具条码号" )
    private String barCode;

    /** 抄表时间 */
    @Excel(name = "抄表时间" )
    private String recordTime;

    public String getReadnow()
    {
        return readNow;
    }

    public String getReadlast()
    {
        return readLast;
    }

    public String getUseamount()
    {
        return useAmount;
    }

    public String getUsemoney()
    {
        return useMoney;
    }

    public String getBarcode()
    {
        return barCode;
    }

    public String getRecordtime()
    {
        if(recordTime == null){
            return null;
        }else {
            Date date = new Date();
            date.setTime(Long.valueOf(recordTime));
            return new SimpleDateFormat(DateUtils.YYYY_MM_DD_HH_MM_SS).format(date);
        }
    }
}
